Results 1 to 7 of 7
  1.    #1  
    My treo 650 has version 01.14 which is what it came with.

    I got this email from palm a few months ago:


    Unlocked GSM Treo(tm) 650 smartphone owners:

    Here at palmOne we want to make sure you get the best performance possible
    from your Treo 650 smartphone. To help make that happen we have just released
    a new update for our unlocked GSM Treo 650 smartphones. This software update
    (version 1.13) provides a variety of enhancements including:

    - Improved memory management

    - Overall voice quality improvements and enhanced call clarity

    - VersaMail updates

    - The most up-to-date mobile service provider settings

    - To download this software update installation instructions visit Customer
    Support:

    http://www.palmone.com/us/support/do...lockedgsm.html

    Get the best from your Treo 650 smartphone -- download this important update today!


    BUT this link takes me to a page to update to 01.13 which is older than what I have.

    So I go to palm's site to see what is the most recent version:
    http://www.palm.com/us/support/downloads/treo650updater/cingular.html?creativeID=RFB|treo650_cing_updater_20051121

    They have 01.17 but under the requirements it says:

    Cingular Wireless Treo 650 smartphone (including former AT&T Wireless accounts). Not compatible with Treo 650 smartphones purchased as Unlocked GSM, even if you are using a Cingular Wireless service.

    So I don't really know what version I should be on.
  2. #2  
    Who is your Service provider....
  3. #3  
    Looks like you've gotten a phone with one of the interim, possibly unoffical, updates; what's your software? 01.43? Higher? Anyway, you'll need to wait a couple of weeks for the next official Unlocked GSM update to be released; it'll be probably be 1.20/1.71.
    V > Vx > m505 > m515 > T/T > T3 > TC > 650 > 680
    <script type="text/javascript" src="http://download.skype.com/share/skypebuttons/js/skypeCheck.js"></script>
    <a href="skype:wwgamble?call"><img src="http://mystatus.skype.com/balloon/wwgamble" style="border: none;" width="150" height="60" alt="My Skype status" /></a>
  4.    #4  
    it's a cingular.
    yeah, my first treo i had to return within 2 weeks because it would lock up when trying to receive email.
    maybe they updated the firmware to 01.14 for me before sending me a new one.

    Bill, my software says: Treo650-1.05-ROW
    is that old?
  5. #5  
    Quote Originally Posted by dubLdribL
    it's a cingular.
    yeah, my first treo i had to return within 2 weeks because it would lock up when trying to receive email.
    maybe they updated the firmware to 01.14 for me before sending me a new one.

    Bill, my software says: Treo650-1.05-ROW
    is that old?
    Yeah, your software is old. The current ROW software is 1.28. Your alternatives are:
    1. Install one of the 'unofficial' updates from a few months ago (1.21 or 1.23 - the links are somewhere in the Treo 650 discussion forum) and then install the current 1.13/1.28 ROW update.
    2. Wait a couple of weeks for the next ROW update (1.20/1.71).
    V > Vx > m505 > m515 > T/T > T3 > TC > 650 > 680
    <script type="text/javascript" src="http://download.skype.com/share/skypebuttons/js/skypeCheck.js"></script>
    <a href="skype:wwgamble?call"><img src="http://mystatus.skype.com/balloon/wwgamble" style="border: none;" width="150" height="60" alt="My Skype status" /></a>
  6.    #6  
    so right now i have firmware/software at 1.14/1.05
    i guess i'll wait for the 1.20/1.71 update
    does the versions for the unlocked gsm models always come out later than the locked versions?
    also, will i be able to update from my current versions, or will i have to do intermediate updates to get to the newest?

    thanks
  7. #7  
    Quote Originally Posted by dubLdribL
    does the versions for the unlocked gsm models always come out later than the locked versions?
    No. Last time the unlocked update came out first.

    also, will i be able to update from my current versions, or will i have to do intermediate updates to get to the newest?
    You'll be able to update directly from your current version.
    V > Vx > m505 > m515 > T/T > T3 > TC > 650 > 680
    <script type="text/javascript" src="http://download.skype.com/share/skypebuttons/js/skypeCheck.js"></script>
    <a href="skype:wwgamble?call"><img src="http://mystatus.skype.com/balloon/wwgamble" style="border: none;" width="150" height="60" alt="My Skype status" /></a>

Posting Permissions